Bug 172139 - CUPS "printer instances" are not listed in the print-dialog
CUPS "printer instances" are not listed in the print-dialog
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2005-10-31 14:14 EST by Raoul
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 13:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Raoul 2005-10-31 14:14:43 EST
Description of problem:
Gnome-print seems that it does not support a very useful CUPS feature, "printer
instances". These "printer instances" are just sets of different settings for
the same printer in order to make the user's life easier by not having to type
each print job's settings every time.
The problem is that these "printer instances" do not appear in the printer list
of the print-dialog in various applications (epiphany,gedit,abiword), so if a
user wants to print with different options than the default, he has to first
print the document to a ps file from within the application's print-dialog and
then send the ps file to his "printer instance" from command line.
This results in waste of time and confusion.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
The rest assume that a working CUPS printer exists with the name "Deskjet":
1.Create a "printer instance" (named "custom1") as a user and set its settings:
lpoptions -p Deskjet/custom1 -o page-set=odd
2.Open an application, eg epiphany, and open the print-dialog
3.The "printer instance" is not listed
The same happens if root creates system-wide "printer instances"
Actual results:
The system-wide or the user's CUPS "printer instances" are not listed in the

Expected results:
The printer instances should be listed in the print-dialog

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:52:23 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 petrosyan 2008-03-09 13:11:55 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.